/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "USRP Hardware Driver and USRP Manual", "index.html", [
    [ "Overview", "index.html", "index" ],
    [ "RFNoC Block Properties", "page_properties.html", [
      [ "Introduction", "page_properties.html#props_intro", null ],
      [ "Property Propagation", "page_properties.html#props_propprop", null ],
      [ "Properties on multi-channel blocks and resource types", "page_properties.html#props_multichan", null ],
      [ "Defining Properties", "page_properties.html#props_define", null ],
      [ "Property Resolvers and Property Resolution", "page_properties.html#props_resolvers", [
        [ "Clean/Dirty Attributes of Properties", "page_properties.html#props_resolvers_cldrty", null ]
      ] ],
      [ "Graph Property Resolution", "page_properties.html#props_graph_resolution", [
        [ "Back edges", "page_properties.html#props_graph_resolution_back_edges", null ]
      ] ],
      [ "Handling unknown properties", "page_properties.html#props_unknown", null ],
      [ "Common Properties", "page_properties.html#props_common_props", null ],
      [ "Special Properties", "page_properties.html#props_special_props", null ],
      [ "Tick Rate (<tt>tick_rate</tt>)", "page_properties.html#props_special_props_tickrate", null ],
      [ "MTU (<tt>mtu</tt>)", "page_properties.html#props_special_props_mtu", null ]
    ] ],
    [ "Generation 1 USRP Build Documentation", "md_usrp1__build__instructions.html", null ],
    [ "Generation 2 USRP Build Documentation", "md_usrp2_2build__instructions.html", [
      [ "Dependencies and Requirements", "md_usrp2_2build__instructions.html#autotoc_md97", [
        [ "Dependencies", "md_usrp2_2build__instructions.html#autotoc_md98", null ],
        [ "Requirements", "md_usrp2_2build__instructions.html#autotoc_md99", null ],
        [ "What FPGA does my USRP have?", "md_usrp2_2build__instructions.html#autotoc_md100", null ]
      ] ],
      [ "Build Instructions", "md_usrp2_2build__instructions.html#autotoc_md101", [
        [ "N2x0 Targets and Outputs", "md_usrp2_2build__instructions.html#autotoc_md102", [
          [ "Supported Targets", "md_usrp2_2build__instructions.html#autotoc_md103", null ],
          [ "Outputs", "md_usrp2_2build__instructions.html#autotoc_md104", null ]
        ] ]
      ] ]
    ] ],
    [ "Customizing the Signal Chain in Generation 2 products", "md_usrp2_2customize__signal__chain.html", [
      [ "Adding DSP logic to Generation 2 products", "md_usrp2_2customize__signal__chain.html#autotoc_md106", [
        [ "Customizing the top level makefile", "md_usrp2_2customize__signal__chain.html#autotoc_md107", null ],
        [ "Inserting custom modules", "md_usrp2_2customize__signal__chain.html#autotoc_md108", null ]
      ] ]
    ] ],
    [ "Generation 3 USRP Build Documentation", "md_usrp3_2build__instructions.html", [
      [ "Dependencies and Requirements", "md_usrp3_2build__instructions.html#autotoc_md110", [
        [ "Dependencies", "md_usrp3_2build__instructions.html#autotoc_md111", null ],
        [ "System Requirements", "md_usrp3_2build__instructions.html#autotoc_md112", null ],
        [ "What FPGA does my USRP have?", "md_usrp3_2build__instructions.html#autotoc_md113", null ]
      ] ],
      [ "Build Environment Setup", "md_usrp3_2build__instructions.html#autotoc_md114", [
        [ "Download and Install Xilinx Tools", "md_usrp3_2build__instructions.html#autotoc_md115", null ],
        [ "Download and Install ModelSim (Optional)", "md_usrp3_2build__instructions.html#autotoc_md116", null ],
        [ "Setting up build dependencies on Ubuntu and Fedora", "md_usrp3_2build__instructions.html#autotoc_md117", null ],
        [ "Setting up build dependencies on Windows (using Cygwin)", "md_usrp3_2build__instructions.html#autotoc_md118", null ]
      ] ],
      [ "Build Instructions (Xilinx Vivado only)", "md_usrp3_2build__instructions.html#autotoc_md119", [
        [ "Makefile based Builder", "md_usrp3_2build__instructions.html#autotoc_md120", null ],
        [ "Environment Utilities", "md_usrp3_2build__instructions.html#autotoc_md121", null ],
        [ "Known Issues", "md_usrp3_2build__instructions.html#autotoc_md122", [
          [ "N2rt13HDRTExceptionE in Vivado 2021.1", "md_usrp3_2build__instructions.html#autotoc_md123", null ],
          [ "Error During cs_server Initialization in Vivado 2021.1", "md_usrp3_2build__instructions.html#autotoc_md124", null ]
        ] ]
      ] ],
      [ "Build Instructions (Xilinx ISE only, for B200 series)", "md_usrp3_2build__instructions.html#autotoc_md125", [
        [ "Makefile Based Builder", "md_usrp3_2build__instructions.html#autotoc_md126", null ]
      ] ],
      [ "Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md127", [
        [ "B2x0 Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md128", [
          [ "Supported Targets", "md_usrp3_2build__instructions.html#autotoc_md129", null ],
          [ "Outputs", "md_usrp3_2build__instructions.html#autotoc_md130", null ]
        ] ],
        [ "B2xx-mini Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md131", [
          [ "Supported Targets", "md_usrp3_2build__instructions.html#autotoc_md132", null ],
          [ "Outputs", "md_usrp3_2build__instructions.html#autotoc_md133", null ]
        ] ],
        [ "X3x0 Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md134", [
          [ "Supported Targets", "md_usrp3_2build__instructions.html#autotoc_md135", null ],
          [ "Outputs", "md_usrp3_2build__instructions.html#autotoc_md136", null ]
        ] ],
        [ "E310 Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md137", [
          [ "Supported Targets", "md_usrp3_2build__instructions.html#autotoc_md138", null ],
          [ "Outputs", "md_usrp3_2build__instructions.html#autotoc_md139", null ]
        ] ],
        [ "E320 Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md140", [
          [ "Supported Targets", "md_usrp3_2build__instructions.html#autotoc_md141", null ],
          [ "Outputs", "md_usrp3_2build__instructions.html#autotoc_md142", null ]
        ] ],
        [ "N3xx Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md143", [
          [ "Supported Targets", "md_usrp3_2build__instructions.html#autotoc_md144", null ],
          [ "Outputs", "md_usrp3_2build__instructions.html#autotoc_md145", null ]
        ] ],
        [ "X4x0 Targets and Outputs", "md_usrp3_2build__instructions.html#autotoc_md146", [
          [ "Supported Targets", "md_usrp3_2build__instructions.html#autotoc_md147", null ],
          [ "Outputs", "md_usrp3_2build__instructions.html#autotoc_md148", null ]
        ] ],
        [ "Additional Build Options", "md_usrp3_2build__instructions.html#autotoc_md149", [
          [ "Xilinx Vivado Make Options", "md_usrp3_2build__instructions.html#autotoc_md150", null ],
          [ "Xilinx ISE Make Options", "md_usrp3_2build__instructions.html#autotoc_md151", null ]
        ] ]
      ] ]
    ] ],
    [ "Legacy Testbenches", "md_usrp3_2sim_2legacy__testbenches.html", [
      [ "Timescale Defines and Includes", "md_usrp3_2sim_2legacy__testbenches.html#autotoc_md153", null ],
      [ "Main Module Definition", "md_usrp3_2sim_2legacy__testbenches.html#autotoc_md154", null ],
      [ "Test Cases", "md_usrp3_2sim_2legacy__testbenches.html#autotoc_md155", null ]
    ] ],
    [ "Legacy AXI Interface Libraries", "md_usrp3_2sim_2libs__axi.html", [
      [ "AXI4 Stream (sim_axis_lib.vh)", "md_usrp3_2sim_2libs__axi.html#autotoc_md157", [
        [ "Definition", "md_usrp3_2sim_2libs__axi.html#autotoc_md158", null ],
        [ "Operations", "md_usrp3_2sim_2libs__axi.html#autotoc_md159", [
          [ "push_word", "md_usrp3_2sim_2libs__axi.html#autotoc_md160", null ],
          [ "push_bubble", "md_usrp3_2sim_2libs__axi.html#autotoc_md161", null ],
          [ "pull_word", "md_usrp3_2sim_2libs__axi.html#autotoc_md162", null ],
          [ "wait_for_bubble", "md_usrp3_2sim_2libs__axi.html#autotoc_md163", null ],
          [ "wait_for_pkt", "md_usrp3_2sim_2libs__axi.html#autotoc_md164", null ],
          [ "push_rand_pkt", "md_usrp3_2sim_2libs__axi.html#autotoc_md165", null ],
          [ "push_ramp_pkt", "md_usrp3_2sim_2libs__axi.html#autotoc_md166", null ]
        ] ]
      ] ],
      [ "Compressed VITA (sim_chdr_lib.vh)", "md_usrp3_2sim_2libs__axi.html#autotoc_md167", [
        [ "CHDR", "md_usrp3_2sim_2libs__axi.html#autotoc_md168", [
          [ "Operations", "md_usrp3_2sim_2libs__axi.html#autotoc_md169", null ]
        ] ],
        [ "CVITA Stream Type", "md_usrp3_2sim_2libs__axi.html#autotoc_md170", [
          [ "Definition", "md_usrp3_2sim_2libs__axi.html#autotoc_md171", null ],
          [ "push_hdr", "md_usrp3_2sim_2libs__axi.html#autotoc_md172", null ],
          [ "push_data", "md_usrp3_2sim_2libs__axi.html#autotoc_md173", null ],
          [ "push_bubble", "md_usrp3_2sim_2libs__axi.html#autotoc_md174", null ],
          [ "pull_word", "md_usrp3_2sim_2libs__axi.html#autotoc_md175", null ],
          [ "wait_for_bubble", "md_usrp3_2sim_2libs__axi.html#autotoc_md176", null ],
          [ "wait_for_pkt", "md_usrp3_2sim_2libs__axi.html#autotoc_md177", null ],
          [ "wait_for_pkt_get_info", "md_usrp3_2sim_2libs__axi.html#autotoc_md178", null ],
          [ "push_rand_pkt", "md_usrp3_2sim_2libs__axi.html#autotoc_md179", null ],
          [ "push_ramp_pkt", "md_usrp3_2sim_2libs__axi.html#autotoc_md180", null ]
        ] ]
      ] ],
      [ "Memory Mapped AXI4 (sim_axi4_lib.vh)", "md_usrp3_2sim_2libs__axi.html#autotoc_md181", null ]
    ] ],
    [ "Legacy Simulation Libraries", "md_usrp3_2sim_2libs__general.html", [
      [ "Execution and Reporting (sim_exec_report.vh)", "md_usrp3_2sim_2libs__general.html#autotoc_md189", null ],
      [ "Clocks and Resets (sim_clks_rsts.vh)", "md_usrp3_2sim_2libs__general.html#autotoc_md196", null ],
      [ "File I/O (sim_file_io.svh)", "md_usrp3_2sim_2libs__general.html#autotoc_md201", [
        [ "interface data_file_t", "md_usrp3_2sim_2libs__general.html#autotoc_md202", [
          [ "open", "md_usrp3_2sim_2libs__general.html#autotoc_md203", null ],
          [ "close", "md_usrp3_2sim_2libs__general.html#autotoc_md204", null ],
          [ "is_eof", "md_usrp3_2sim_2libs__general.html#autotoc_md205", null ],
          [ "readline", "md_usrp3_2sim_2libs__general.html#autotoc_md206", null ],
          [ "writeline", "md_usrp3_2sim_2libs__general.html#autotoc_md207", null ]
        ] ]
      ] ]
    ] ],
    [ "Running a Testbench", "md_usrp3_2sim_2running__testbenches.html", [
      [ "Using Xilinx Vivado XSim", "md_usrp3_2sim_2running__testbenches.html#autotoc_md209", null ],
      [ "Using Mentor Graphics ModelSim", "md_usrp3_2sim_2running__testbenches.html#autotoc_md210", [
        [ "Setting Up ModelSim", "md_usrp3_2sim_2running__testbenches.html#autotoc_md211", null ],
        [ "Simulating with ModelSim through Vivado", "md_usrp3_2sim_2running__testbenches.html#autotoc_md212", null ],
        [ "Simulating with ModelSim Natively", "md_usrp3_2sim_2running__testbenches.html#autotoc_md213", null ],
        [ "Compiling the Simulation with ModelSim", "md_usrp3_2sim_2running__testbenches.html#autotoc_md214", null ]
      ] ],
      [ "Troubleshooting", "md_usrp3_2sim_2running__testbenches.html#autotoc_md215", null ]
    ] ],
    [ "Simulation Libraries", "md_usrp3_2sim_2simulation__libraries.html", [
      [ "PktTestExec", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md220", [
        [ "PkgTestExec Tasks and Functions", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md221", null ],
        [ "Macros", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md222", null ]
      ] ],
      [ "PkgChdrUtils", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md223", null ],
      [ "PkgChdrData", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md224", null ],
      [ "PkgRfnocBlockCtrlBfm", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md225", null ],
      [ "sim_clock_gen", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md226", null ],
      [ "PkgAxiStream", "md_usrp3_2sim_2simulation__libraries.html#autotoc_md227", null ]
    ] ],
    [ "Writing a Simulation Makefile", "md_usrp3_2sim_2writing__sim__makefile.html", [
      [ "Section 1: Boilerplate", "md_usrp3_2sim_2writing__sim__makefile.html#autotoc_md229", null ],
      [ "Section 2: Design Specific", "md_usrp3_2sim_2writing__sim__makefile.html#autotoc_md230", null ],
      [ "Section 3: IP Specific", "md_usrp3_2sim_2writing__sim__makefile.html#autotoc_md231", null ],
      [ "Section 4: Testbench Specific", "md_usrp3_2sim_2writing__sim__makefile.html#autotoc_md232", null ],
      [ "Section 5: Tool Support", "md_usrp3_2sim_2writing__sim__makefile.html#autotoc_md233", null ]
    ] ],
    [ "Writing a Top-level Simulation Module", "md_usrp3_2sim_2writing__sim__top.html", null ],
    [ "Writing a Testbench", "md_usrp3_2sim_2writing__testbenches.html", null ],
    [ "Simulation", "md_usrp3_2simulation.html", [
      [ "Instructions", "md_usrp3_2simulation.html#autotoc_md237", null ],
      [ "Library Reference", "md_usrp3_2simulation.html#autotoc_md238", null ],
      [ "Legacy Library Reference", "md_usrp3_2simulation.html#autotoc_md239", null ]
    ] ],
    [ "Vivado Environment Utilities", "md_usrp3_2vivado__env__utils.html", [
      [ "Environment Setup", "md_usrp3_2vivado__env__utils.html#autotoc_md241", null ],
      [ "ModelSim Specific", "md_usrp3_2vivado__env__utils.html#autotoc_md242", null ],
      [ "IP Management", "md_usrp3_2vivado__env__utils.html#autotoc_md243", [
        [ "Create Vivado IP", "md_usrp3_2vivado__env__utils.html#autotoc_md244", null ],
        [ "Modify existing Vivado IP", "md_usrp3_2vivado__env__utils.html#autotoc_md245", null ],
        [ "Modify existing Vivado Block Design (BD)", "md_usrp3_2vivado__env__utils.html#autotoc_md246", null ],
        [ "Modify existing Vivado Tcl-based Block Design", "md_usrp3_2vivado__env__utils.html#autotoc_md247", null ],
        [ "List supported Vivado IP", "md_usrp3_2vivado__env__utils.html#autotoc_md248", null ],
        [ "Upgrade IP to the environment version of Vivado", "md_usrp3_2vivado__env__utils.html#autotoc_md249", null ]
      ] ],
      [ "Hardware Management", "md_usrp3_2vivado__env__utils.html#autotoc_md250", [
        [ "Launch Vivado Hardware Console", "md_usrp3_2vivado__env__utils.html#autotoc_md251", null ],
        [ "List connected JTAG devices", "md_usrp3_2vivado__env__utils.html#autotoc_md252", null ],
        [ "Program device over JTAG", "md_usrp3_2vivado__env__utils.html#autotoc_md253", null ],
        [ "Probe Xilinx bitfile", "md_usrp3_2vivado__env__utils.html#autotoc_md254", null ]
      ] ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"actions_8hpp.html",
"classuhd_1_1digital__filter__base.html",
"classuhd_1_1features_1_1adc__self__calibration__iface.html#a1f5bdfd6928dce88c33b9064f6870eaf",
"classuhd_1_1msg__task.html#a9615664fbfa777db2ea6d3e133fd1f84",
"classuhd_1_1rfnoc_1_1chdr_1_1chdr__header.html#ad83693b0c767327b8abdcdbb90f43afe",
"classuhd_1_1rfnoc_1_1chdr_1_1strs__payload.html#ae6363cc3a0404f5c310c336f94b86e41",
"classuhd_1_1rfnoc_1_1mock__reg__iface__t.html#ac5accca20c6a7b828ec6625008d22e01",
"classuhd_1_1rfnoc_1_1property__t.html#a6303f9e0a1a5a06ab9fb2c48009b2c45",
"classuhd_1_1rfnoc_1_1rf__control_1_1core__iface.html#a9f9277b5d0e89e1b87da62455cbf968b",
"classuhd_1_1soft__register__t.html#a183d25d18d91af393c3ce54d405516f0",
"classuhd_1_1tx__streamer.html#a0be3c9bb6665b3ca0a5cec741a1e185a",
"classuhd_1_1usrp_1_1fe__connection__t.html",
"classuhd_1_1usrp_1_1multi__usrp.html#ab548bc299e4b03ec19072c02816b18ab",
"config_8hpp.html#a3933ce975896a086c0aabb8cee9dd2f0",
"fp__compare__epsilon_8ipp.html#a5303f778887c1fde0f43917071f4bcc6",
"math_8hpp.html#aa0c6f30538b490b42283076b3508bf2f",
"multi__usrp_8hpp.html#adb4fa94d92b9f24fa473a21b4a7c3771",
"namespaceuhd_1_1math_1_1fp__compare.html#a902753952c024255bc717139e7e5ef57",
"page_dboards.html#dboards",
"page_rdtesting.html#autotoc_md44",
"page_usrp_e3xx.html#e3xx_getting_started_connectivity",
"page_usrp_x4xx.html#x4xx_usage_subdevspec",
"structuhd_1_1access__error.html",
"structuhd_1_1narrowing__error.html#aa0617a72efe4d3323d54ed662da128f0",
"structuhd_1_1rfnoc_1_1stream__cmd__action__info.html#af61e2768b2eb7152b5a5985c38219864",
"structuhd_1_1transport_1_1vrt_1_1if__packet__info__t.html#a0582bd0a23b0f359185644ab6f431755",
"structuhd__stream__cmd__t.html#a7a554a47849307827e4e067a3c7a3db3",
"usrp__clock_8h.html#a066d9d253a2d8c1c94711df2c7acb5aa"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';